<!DOCTYPE HTML>
<html xmlns:layout="http://www.w3.org/1999/xhtml" layout:decorate="~{layout/main}">
<head>
    <title>Bull-EzyVolt</title>
    <script src="/js/gauge.js"></script>
    <style type="text/css">
	.myCalss{
		margin-left: -190px;
	}
</style>
</head>
<body>
<div layout:fragment="content">
    <nav class="navbar navbar-expand-lg navbar-transparent  bg-primary  navbar-absolute">

    </nav>
    <div class="panel-header panel-header-sm">
    </div>
  <div class="content">
        <div class="row" id="change_password">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="title">Change Password</h5>
                    </div>
                    <div class="card-body">
                        <form   id="SetPassword">
                            <div class="form-group">
                                <div class="col-md-12" >
                                    <span id="passwordError"></span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div>
                                        <label id="error_msg" class="bmd-label-floating"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div>
                                    <span id="globalError" name="globalError" class="label label-danger" style="display:none;color:red;"> test </span>
                                </div>
                            </div>
                            <div class="col-md-4 pr-1">
                                <div class="form-group">
                                    <input id="id" name="id" type="hidden" class="form-control" >
                                </div>
                            </div>

                            <div class="col-md-4 pr-1">
                                <div class="form-group">
                                    <label>password</label>
                                    <input id="password" name="password" type="password" class="form-control" >
                                </div>
                            </div>
                            <div class="col-md-4 pr-1">
                                <div class="form-group">
                                    <label>Re type password</label>
                                    <input id="password2" name="password2" type="password" class="form-control" >
                                </div>
                                <div class="row">
                                    <h4 class="card-title btn" style="float:right; background-color: #fd7e14; color:#fff; margin-left: 50px">
                                        <a    id="Npass" style="color:#fff;text-decoration: none;">
                                            Update Password</a></h4>
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
  </div>

<script>
    $(document).ready(function () {

	    $("#Npass").click(function(){
	      changePassword();
	         return false;
	     });
});


     function changePassword(){

                 var password1 = $("#password").val();
                 var confirmPassword = $("#password2").val();


                 if (password1 != confirmPassword) {
                   $('#error_msg').html("Both Passwords Does Not Match");
                       return false;
                   }

                $("#id").val('[[${session.USER.id}]]');
                console.log('[[${session.USER.id}]]');
                 var formData= $('#SetPassword').serialize();


                $.post("/changePass",formData ,function(data){

                            if(data == "SUCCESS"){
                             $('#error_msg').html("Your Password is Changed Successfully");
                              window.location.href = "/";
                            }
                       }).fail(function(data) {
                       console.log(data);
                           $('#password').val("");
                           $('#error_msg').html("Sorry Unable to Change Password");
                           $("#globalError").show().html(data.responseText);
                         });


                return false;

     }



</script>

</div>
</body>